Doomsday Engine - Feature #1618

Decorations/effects for game events (power up, damage, etc.)
2013-10-21 08:28 - skyjake

Status: New Start date: 2013-10-21
Priority: Normal % Done: 0%
Assignee:

Category: Enhancement

Target version: Modding

Description

Creation of an external definition to govern the visual effects of power-ups, damage, killed etc.
Maybe a standard definition (effects only) that is added to main definition (so that scaling etc is still correct).

(copied from an accidentally deleted old RFE called "Power Up Effects”)

Related issues:

Related to Feature #1617: Scoped definitions and variables New 2013-10-21
Related to Feature #1414: Generate particles when touching a plane New 2006-08-03
Related to Feature #1620: XG 2.0 Progressed 2010-04-20
History

#1 - 2013-10-21 08:32 - skyjake

Essentially there should be a mechanism that enables one to set up a trigger condition and then start various effects when it is triggered (similarly to
how particle generators already work).

Such a mechanism should work with lights, audio, and script callbacks as well. Spawning mobjs would also be one way to handle the effect (perhaps
via a script).

#2 - 2013-10-22 08:22 - skyjake

- Tracker changed from Bug to Feature

#3 - 2019-11-29 18:40 - skyjake
- Related to Feature #1620: XG 2.0 added

#4 - 2019-11-29 18:43 - skyjake

- Target version set to Modding

2024-04-09 1/1



http://www.tcpdf.org

